{ rustPlatform, fetchgit, stdenv, cairo, ... }:

rustPlatform.buildRustPackage rec {
  name = "image-geneartor-${version}";
  version = "2.0.0";
  # src = ./.;
  src = fetchgit {
    url = "https://github.com/mrVanDalo/image-generator";
    rev = "e41d8b9a7675a628d19fd114f33397de43bafbf7";
    sha256 = "1lx4ii3nxvd9h3nz8fqyn80905dqkcwngm6229m5jcv32k686y7c";
  };

  cargoSha256 = "07pwds279qc54g5fza805ah2m8jhrdzng7vb1bi24a9ra9ci8s29";
  verifyCargoDeps = true;

  buildInputs = [ cairo ];

  meta = with stdenv.lib; {
    description =
      "An image generator unsing entropy and a JSON as configuration.";
    homepage = "https://git.ingolf-wagner.de/palo/image-generator2";
    license = licenses.gplv3;
    maintainers = [ maintainers.mrVanDalo ];
    platforms = platforms.all;
  };
}

